Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class PropertyType<T>

    java.lang.Object
      juzu.PropertyType<T>

Type Parameters:
  `T` - the property generic type

    public abstract class PropertyType<T>

extends Object

A property type describe a property associated with a generic type for providing type safetyness when dealing with properties.

Author:
  Julien Viet

Field Summary
`static PropertyType<Boolean>` | `ESCAPE_XML` Escape XML.
`static PropertyType<Map.Entry<String,String[]>>` | `HEADER` Header.
`static PropertyType<Map.Entry<String,String>>` | `META_TAG` Header.
`static PropertyType<String>` | `MIME_TYPE` Mime type.
`static PropertyType<String>` | `PATH` Path.
`static PropertyType<Boolean>` | `REDIRECT_AFTER_ACTION` Redirect after action.
`static PropertyType<String>` | `SCRIPT` Script.
`static PropertyType<String>` | `STYLESHEET` Stylesheet.
`static PropertyType<String>` | `TITLE` Title.

Method Summary
`T` | `cast(Object o)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT

    public static PropertyType<String> SCRIPT

  Script.

### STYLESHEET

    public static PropertyType<String> STYLESHEET

  Stylesheet.

### TITLE

    public static PropertyType<String> TITLE

  Title.

### PATH

    public static final PropertyType<String> PATH

  Path.

### REDIRECT_AFTER_ACTION

    public static final PropertyType<Boolean> REDIRECT_AFTER_ACTION

  Redirect after action.

### HEADER

    public static final PropertyType<Map.Entry<String,String[]>> HEADER

  Header.

### META_TAG

    public static final PropertyType<Map.Entry<String,String>> META_TAG

  Header.

### MIME_TYPE

    public static PropertyType<String> MIME_TYPE

  Mime type.

### ESCAPE_XML

    public static PropertyType<Boolean> ESCAPE_XML

  Escape XML.

Method Detail

### cast

    public final T cast(Object o)

### equals

    public final boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.